Difference between revisions of "Arch Rebar BentShape/fr"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "# Créer un élément structure # Sélectionnez une face de la structure # Puis sélectionnez {{KEY|16px Armature cint...")
Line 9: Line 9:
 
==Comment faire==
 
==Comment faire==
  
# Create a [[Arch Structure|structure]] element
+
# Créer un élément [[Arch Structure/fr|structure]]
# Select any face of the structure
+
# Sélectionnez une face de la structure
# Then select  {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Bent Shape Rebar}} from the rebar tools
+
# Puis sélectionnez {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Armature cintrée}} à partir des outils d'armature
# A task panel will pop-out on the left side of the screen as shown below [[Image:BentShapeDialog.png|250px]]
+
# Un panneau de tâches apparaîtra sur le côté gauche de l'écran comme indiqué ci-dessous  [[Image:BentShapeDialog.png|250px]]
# Select the desired orientation
+
# Sélectionnez l'orientation souhaitée
# Give the inputs like front cover, left cover, right cover, bottom cover, top cover, anchor length, bent angle, rounding and diameter of the rebar
+
# Donner les entrées comme le capot avant, le capot latéral gauche, le capot latéral droit, le capot inférieur, le capot supérieur, la longueur d'ancrage, l'angle de cintrage, l'arrondi et le diamètre des barres d'armature
# Select the mode of distribution either amount or spacing
+
# Sélectionnez le mode de distribution soit la quantité ou l'espacement
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
+
# Si l'espacement est sélectionné, un utilisateur peut également choisir [[Custom_Spacing|espacement personnalisé]]
# Pick selected face is used to verify or change the face for rebar distribution
+
# Le choix de la face sélectionnée est utilisé pour vérifier ou changer la face pour la distribution des barres d'armature
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
+
# Cliquez sur {{KEY|OK}} ou {{KEY|Appliquer}} pour générer les barres d'armature
# Click {{KEY|Cancel}} to exit the task panel
+
# Cliquez sur {{KEY|Annuler}} pour quitter le panneau des tâches
  
 
==Properties==  
 
==Properties==  

Revision as of 17:29, 15 April 2018

Arch Rebar BentShape.png Arch Rebar BentShape

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Armature en étrier
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager


Description

L'outil Arch Rebar BentShape.png Armature cintrée permet à l'utilisateur de créer une barre d'armature cintrée dans l'élément structurel.

BentShapeRebar.png

Comment faire

  1. Créer un élément structure
  2. Sélectionnez une face de la structure
  3. Puis sélectionnez Arch Rebar BentShape.png Armature cintrée à partir des outils d'armature
  4. Un panneau de tâches apparaîtra sur le côté gauche de l'écran comme indiqué ci-dessous BentShapeDialog.png
  5. Sélectionnez l'orientation souhaitée
  6. Donner les entrées comme le capot avant, le capot latéral gauche, le capot latéral droit, le capot inférieur, le capot supérieur, la longueur d'ancrage, l'angle de cintrage, l'arrondi et le diamètre des barres d'armature
  7. Sélectionnez le mode de distribution soit la quantité ou l'espacement
  8. Si l'espacement est sélectionné, un utilisateur peut également choisir espacement personnalisé
  9. Le choix de la face sélectionnée est utilisé pour vérifier ou changer la face pour la distribution des barres d'armature
  10. Cliquez sur OK ou Appliquer pour générer les barres d'armature
  11. Cliquez sur Annuler pour quitter le panneau des tâches

Properties

  • DATAOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DATAFront Cover: The distance between rebar and selected face.
  • DATALeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DATARight Cover: The distance between the right end of the rebar to right face of the structure.
  • DATABottom Cover: The distance between rebar from the bottom face of the structure.
  • DATATop Cover: The distance between rebar from the top face of the structure.
  • DATAAnchor Length: It is the arm's length of bent shape rebar.
  • DATABent Angle: It decides angle in bent shape rebar.
  • DATAAmount: The amount of rebars.
  • DATASpacing: The distance between the axes of each bar.

Scripting

The Arch Rebar BentShape.png Bent Shape Rebar tool can by used in macros and from the python console by using the following function:

makeBentShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, BentLength, BentAngle, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
  • The Bent Shape Rebar have four different orientations:
    • Bottom
    • Top
    • Left
    • Right
  • Adds a Bent Shape reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example: Creating Bent Shape rebar.

import Arch, BentShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=100.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = BentShapeRebar.makeBentShapeRebar(20, 20, 20, 20, 8, 20, 100, 135, 2, True, 10, "Bottom", structure, "Face1")

Changing properties of Bent Shape rebar.

import BentShapeRebar
BentShapeRebar.editBentShapeRebar(rebar, 50, 50, 50, 50, 12, 20, 100, 135, 2, True, 10, "Top")


Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский